// GLog.h: interface for the CGLog class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GLOG_H__BDF0F791_29F2_42D8_ABF2_E74FEF08AC97__INCLUDED_)
#define AFX_GLOG_H__BDF0F791_29F2_42D8_ABF2_E74FEF08AC97__INCLUDED_

#include "SystemLog_i.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define LEVEL_ERROR	2
#define LEVEL_WARN	1
#define LEVEL_INFO	0

#define SET_INFO	0
#define SET_FILE	1
#define SET_MODEL	2
#define SET_LEVEL	3
#define SET_LINE	4
#define SET_PATH	5
#define SET_CLEAR	6

#define SUCCESS					0
#define ERR_FILE_ALREADY_SET	1
#define ERR_FILE_NAME			2
#define ERR_XML					3

class CGLog  
{
public:
	CGLog(LPCTSTR p_lptPath, LPCTSTR p_lptFile, LPCTSTR p_lptModule = "", LPCTSTR p_lptOutLevel = "0", LPCTSTR p_lptLinesToFile = "50", LPCTSTR p_lptClearState = "");
	void LogOut(LPCTSTR p_pstrLogStr , ...);
	CGLog();
	virtual ~CGLog();

protected:
	char m_pBuf[4000];
	IModuleLog *m_pIntLog;
private:
	void InitCom();
};

extern CGLog g_Log;
#endif // !defined(AFX_GLOG_H__BDF0F791_29F2_42D8_ABF2_E74FEF08AC97__INCLUDED_)
